package script do not fail on error

Make build/package.sh script to fail on all errors.

Issue-ID: OOM-1660

Change-Id: I3537c719740d4476c07dce284922e352460ae52e
Signed-off-by: Samuli Silvius <s.silvius@partner.samsung.com>
Signed-off-by: Michal Ptacek <m.ptacek@partner.samsung.com>
diff --git a/build/package.sh b/build/package.sh
index 63774e0..cd2531c 100755
--- a/build/package.sh
+++ b/build/package.sh
@@ -2,7 +2,7 @@
 
 #   COPYRIGHT NOTICE STARTS HERE
 #
-#   Copyright 2018 © Samsung Electronics Co., Ltd.
+#   Copyright 2018-2019 © Samsung Electronics Co., Ltd.
 #
 #   Licensed under the Apache License, Version 2.0 (the "License");
 #   you may not use this file except in compliance with the License.
@@ -21,11 +21,12 @@
 
 # Scope of this packaging script is to generate tarfiles for offline installation
 # Build of any additional artifacts is out of scope for this script
+set -e
 
 crash () {
     local exit_code="$1"
     local cause="$2"
-    echo "Packaging script finished prematuraly"
+    echo "Packaging script finished prematurely"
     echo "Cause: $2"
     exit "${exit_code}"
 }